Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- rxr

# rxr

erfa.rxr(a, b)

  Multiply two r-matrices.

  Parameters:
    a double array
    b double array
  Returns:
    atb double array

  Notes

  Wraps ERFA function `eraRxr`. The ERFA documentation is:

      - - - - - - -
       e r a R x r
      - - - - - - -

      Multiply two r-matrices.

      Given:
         a        double[3][3]    first r-matrix
         b        double[3][3]    second r-matrix

      Returned:
         atb      double[3][3]    a * b

      Note:
         It is permissible to re-use the same array for any of the
         arguments.

      Called:
         eraCr        copy r-matrix

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.